Package org.eclipse.m2m.atl.adt.ui.editor.formatter

## Class AtlCodeFormatterPreferences

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.editor.formatter.AtlCodeFormatterPreferences

    public class AtlCodeFormatterPreferences
    extends java.lang.Object

ATL code formatter preferences.

### Constructor Summary

Constructors
`AtlCodeFormatterPreferences()`
`AtlCodeFormatterPreferences​(java.util.Map<java.lang.String,​java.lang.String> options)`
`AtlCodeFormatterPreferences​(org.eclipse.jface.preference.IPreferenceStore preferenceStore)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getAfterOperator​(int indentation)`
`java.lang.String` `getBeforeOperator​(int indentation)`
`java.lang.String` `getBindingArrow()`
`java.lang.String` `getCallingArrow()`
`static java.lang.String` `getChars​(int n, char character)`
`java.lang.String` `getClosingBracket()`
`java.lang.String` `getClosingCollectionBrace()`
`java.lang.String` `getColon()`
`java.lang.String` `getComa()`
`static java.util.Map<java.lang.String,​java.lang.String>` `getDefaultOptions()`
`java.lang.String` `getEndingComa​(int tab)`
`java.lang.String` `getEndingEqual()`
`java.lang.String` `getEndingSemicolon()`
`java.lang.String` `getEqual()`
`java.lang.String` `getExclamation()`
`int` `getLineMaxLength()`
`java.lang.String` `getLinesAfterCreateFrom()`
`java.lang.String` `getLinesAfterModule()`
`java.lang.String` `getLinesAfterSpecialTags()`
`java.lang.String` `getLinesSpaces()`
`java.lang.String` `getOpeningBracket()`
`java.lang.String` `getOpeningCollectionBrace()`
`static java.util.Map<java.lang.String,​java.lang.String>` `getOptions​(org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
`java.lang.String` `getPipe()`
`java.lang.String` `getPoint()`
`java.lang.String` `getRuleBrace​(int indentation)`
`java.lang.String` `getSemicolon()`
`java.lang.String` `getSpacesAfterComment()`
`int` `getTabSpaces()`
`boolean` `isCutAfterPoint()`
`void` `retrievePreferences​(java.util.Map<java.lang.String,​java.lang.String> options)` Retrieves the preferences from an option map.
`void` `retrievePreferences​(org.eclipse.jface.preference.IPreferenceStore preferenceStore)` Retrieves the preferences from a preference store.
`void` `setSpacesInsideCollectionBrace​(int spacesInsideCollectionBrace)`
`void` `setSpacesOutsideCollectionBrace​(int spacesOutsideCollectionBrace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlCodeFormatterPreferences

    public AtlCodeFormatterPreferences()

#### AtlCodeFormatterPreferences

    public AtlCodeFormatterPreferences​(org.eclipse.jface.preference.IPreferenceStore preferenceStore)

#### AtlCodeFormatterPreferences

    public AtlCodeFormatterPreferences​(java.util.Map<java.lang.String,​java.lang.String> options)

### Method Detail

#### retrievePreferences

    public void retrievePreferences​(org.eclipse.jface.preference.IPreferenceStore preferenceStore)

Retrieves the preferences from a preference store.

Parameters:
  `preferenceStore` - the preference store

#### retrievePreferences

    public void retrievePreferences​(java.util.Map<java.lang.String,​java.lang.String> options)

Retrieves the preferences from an option map.

Parameters:
  `options` - the options map

#### getOptions

    public static java.util.Map<java.lang.String,​java.lang.String> getOptions​(org.eclipse.jface.preference.IPreferenceStore preferenceStore)

#### getDefaultOptions

    public static java.util.Map<java.lang.String,​java.lang.String> getDefaultOptions()

#### getChars

    public static java.lang.String getChars​(int n,
                                            char character)

#### getLineMaxLength

    public int getLineMaxLength()

#### getTabSpaces

    public int getTabSpaces()

#### getLinesSpaces

    public java.lang.String getLinesSpaces()

#### getOpeningBracket

    public java.lang.String getOpeningBracket()

#### getClosingBracket

    public java.lang.String getClosingBracket()

#### getBindingArrow

    public java.lang.String getBindingArrow()

#### getCallingArrow

    public java.lang.String getCallingArrow()

#### getSemicolon

    public java.lang.String getSemicolon()

#### getComa

    public java.lang.String getComa()

#### getEndingComa

    public java.lang.String getEndingComa​(int tab)

#### getColon

    public java.lang.String getColon()

#### getPoint

    public java.lang.String getPoint()

#### getEqual

    public java.lang.String getEqual()

#### getEndingEqual

    public java.lang.String getEndingEqual()

#### getPipe

    public java.lang.String getPipe()

#### getExclamation

    public java.lang.String getExclamation()

#### getEndingSemicolon

    public java.lang.String getEndingSemicolon()

#### getSpacesAfterComment

    public java.lang.String getSpacesAfterComment()

#### getOpeningCollectionBrace

    public java.lang.String getOpeningCollectionBrace()

#### getClosingCollectionBrace

    public java.lang.String getClosingCollectionBrace()

#### getRuleBrace

    public java.lang.String getRuleBrace​(int indentation)

#### getBeforeOperator

    public java.lang.String getBeforeOperator​(int indentation)

#### getAfterOperator

    public java.lang.String getAfterOperator​(int indentation)

#### getLinesAfterModule

    public java.lang.String getLinesAfterModule()

#### getLinesAfterCreateFrom

    public java.lang.String getLinesAfterCreateFrom()

#### getLinesAfterSpecialTags

    public java.lang.String getLinesAfterSpecialTags()

#### isCutAfterPoint

    public boolean isCutAfterPoint()

#### setSpacesOutsideCollectionBrace

    public void setSpacesOutsideCollectionBrace​(int spacesOutsideCollectionBrace)

#### setSpacesInsideCollectionBrace

    public void setSpacesInsideCollectionBrace​(int spacesInsideCollectionBrace)